Finalize Sales Invoice Correction
curl --request POST \
--url https://api.jtl-cloud.com/erp/salesInvoiceCorrections/{salesInvoiceCorrectionId}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesInvoiceCorrections/{salesInvoiceCorrectionId}/finalize"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesInvoiceCorrections/{salesInvoiceCorrectionId}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}salesinvoicecorrection
Finalize Sales Invoice Correction
deprecated
Finalize a sales invoice correction
POST
/
salesInvoiceCorrections
/
{salesInvoiceCorrectionId}
/
finalize
Finalize Sales Invoice Correction
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the sales invoice correction to finalize.
Response
The sales invoice correction was finalized successfully.
Was this page helpful?
⌘I